<?php 
//用户管理只有[1001]用户可使用；
session_start();
$page_title="用户管理—恩格会计管理系统";
//用户为空时转到登录页面并中止执行程序；
if($_SESSION[username]==""){
	echo '<script language="javascript" type="text/javascript">window.location.href="login.php";</script>';
	exit();
}
//用户不为管理员时提示权限不够；
if($_SESSION[userid]!=="1001"){
	include("header.php");
	echo '<table width="100%" bgcolor="yellow">
		  <tr>
		  <td width="18px">
			<img src="picture/alert.gif" width="16" height="16" /></td>
		  <td>
		  您的权限不够，无法正常显示本页内容。如有需要，请联系管理员。
		  </td>
		  </tr>
		  </table>';
	include("footer.php");
	exit();
}
?>
<html>
<head>
<meta charset="utf-8">
<title>权限设置</title>
<link rel="stylesheet" href="myCss.css" type="text/css" />
<script language="javascript" type="text/javascript" src="myJs.js"></script>
</head>

<body>
<?php
include("cnn.php");
$_SESSION[Uid]=$_GET[keyword];//设置全局会话，用于操作权限表时使用；
$sql=$mysqli->query('select * from power where Uid="'.$_GET[keyword].'" order by Rid');
$info=$sql->fetch_array(MYSQLI_BOTH);
?>
<form action="userRightSubmit.php" method="post" name="form1">
<table id="mytable1">
<tr>
<td align="center" width="80px">用户ID</td>
<td align="center" width="80px">权限ID</td>
<td align="center" width="110px">权限名称</td>
<td align="center" width="80px">权限值</td>
</tr>
<?php
if($info){ //如果存在数据；
do{
?>
<tr>
<td align="center" width="100px"><?php echo $info['Uid']; ?></td>
<td align="center" width="100px"><?php echo $info['Rid']; ?></td>
<td align="center" width="150px"><?php echo $info['Rname']; ?></td>
<td align="center" width="100px"><input name="Rvalue[]" type="checkbox" <?php if($info['Rvalue']==-1){ echo 'checked="checked"'; } ?> value="<?php echo $info['Uid'].','.$info['Rid']; ?>" /></td>
</tr>
<?php
}while($info=$sql->fetch_array(MYSQLI_BOTH));
?>
<tr>
<td colspan="4" align="center">
<input name="checkAll1" type="button" onClick="checkAll()" value="全选" />
<input name="uncheckAll1" type="button" onClick="uncheckAll()" value="全不选" />
<input name="insert" type="submit" value="提交" />
</td>
</tr>
</table>
</form>
<?php
}else{
?>
	<tr>
    <td colspan="4" align="left">
    工号[1001]为管理员账号，只拥有“用户管理”功能！
    </td>
    </tr>
    </table>
    </form>
<?php
}
$sql->free();
$mysqli->close();
?>
<script language="javascript" type="text/javascript">
<!--
mytable("mytable1");

var $=document.getElementsByName("Rvalue[]");

function checkAll(){
	for(var i=0;i<$.length;i++){
		//if($[i].type=='checkbox'){
			$[i].checked=true;
		//}
	}
}

function uncheckAll(){
	for(var i=0;i<$.length;i++){
		//if($[i].type=='checkbox'){
			$[i].checked=false;
		//}
	}
}
//-->
</script>
</body>
</html>